package com.qmth.themis.business.bean.admin;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel("开放接口-待评卷考试记录答案内容")
public class OpenRecordAnswerBlocksBean {

    @ApiModelProperty("内容块")
    private List<OpenRecordAnswerContentBean> blocks;

    public List<OpenRecordAnswerContentBean> getBlocks() {
        return blocks;
    }

    public void setBlocks(List<OpenRecordAnswerContentBean> blocks) {
        this.blocks = blocks;
    }

    class OpenRecordAnswerContentBean {

        @ApiModelProperty("类型")
        private String type;

        @ApiModelProperty("值")
        private String value;

        public String getType() {
            return type;
        }

        public void setType(String type) {
            this.type = type;
        }

        public String getValue() {
            return value;
        }

        public void setValue(String value) {
            this.value = value;
        }
    }
}
